>From 021edc6eb08f9c943fb3e23f4cc5297587d78c70 Mon Sep 17 00:00:00 2001
From: josch <j.schauer@email.de>
Date: Mon, 12 May 2014 17:15:26 +0200
Subject: [PATCH 1/3] add set_config to benl_clflags

---
 lib/benl_clflags.ml | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/lib/benl_clflags.ml b/lib/benl_clflags.ml
index ad2ad9f..bfc7b34 100644
--- a/lib/benl_clflags.ml
+++ b/lib/benl_clflags.ml
@@ -49,6 +49,10 @@ let get_config key =
   try List.assoc key !config
   with Not_found -> raise (Missing_configuration_item key)
 
+let set_config key value =
+  let cnf = List.remove_assoc key !config in
+  config := (key,value)::cnf
+
 let get_cache_file ?(name = !cache_file) () =
   if Sys.file_exists name
   then name
-- 
1.9.2

